package com.zoro.mutiDb.controller;

import com.zoro.mutiDb.domain.mysql.HyCertInfoSelf;
import com.zoro.mutiDb.domain.oracle.HyCretInfoSelf;
import com.zoro.mutiDb.mapper.dm.TestDmMapper;
import com.zoro.mutiDb.mapper.mysql.TestMysqlMapper;
import com.zoro.mutiDb.mapper.oracle.TestOracleMapper;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("he")
public class testController {
    @Autowired
    private TestDmMapper testMapperDm;

    @Autowired
    private TestOracleMapper testMapperOracle;

    @Autowired
    private TestMysqlMapper mysqlMapper;

    @PostMapping("test")
    public String test() {
        String dmOne = testMapperDm.getOne();
        String oracleOne = testMapperOracle.getOne();
        return "dmOne=" + dmOne + "---" + "oracleOne=" + oracleOne;
        //        DataSourceContextHolder.removeDatasource();
        //return testService.getOne();
    }

    @PostMapping("testTong")
    public String tong() {
        List<HyCretInfoSelf> oracle = testMapperOracle.getAllCertInfo();
        mysqlMapper.deletInfo();
        List<HyCertInfoSelf> mysql = mysqlMapper.getAll();

        if (mysql.isEmpty()){
            for (HyCretInfoSelf hyCretInfoSelf : oracle) {
                HyCertInfoSelf hyCertInfoSelf = new HyCertInfoSelf();
                BeanUtils.copyProperties(hyCretInfoSelf,hyCertInfoSelf);
                hyCertInfoSelf.setCertType(hyCretInfoSelf.getCretType());
                hyCertInfoSelf.setCertNumber(hyCretInfoSelf.getCretNumer());
                hyCertInfoSelf.setEffecttiveStart(hyCretInfoSelf.getEffectivestartdate());
                hyCertInfoSelf.setEffecttiveEnd(hyCretInfoSelf.getEffectiveenddate());
                mysql.add(hyCertInfoSelf);
            }
            if (!mysql.isEmpty()){
                for (HyCertInfoSelf hyCertInfoSelf : mysql) {
                    mysqlMapper.insetInfo(hyCertInfoSelf);
                }
            }
        }
        return "oracle" + oracle.size() + "--" + "mysql" + mysql.size();
    }
}
