package com.zoro.mutiDb.domain.mysql;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDate;
import lombok.Data;

/**
 * 
 * @TableName hy_cert_info_self
 */
@TableName(value ="hy_cert_info_self")
@Data
public class HyCertInfoSelf implements Serializable {
    /**
     * 
     */
    @TableField(value = "CODE")
    private String code;

    /**
     * 
     */
    @TableField(value = "CERT_TYPE")
    private String certType;

    /**
     * 
     */
    @TableField(value = "FZJG")
    private String fzjg;

    /**
     * 
     */
    @TableField(value = "CERT_NUMBER")
    private String certNumber;

    /**
     * 
     */
    @TableField(value = "CNAME")
    private String cname;

    /**
     * 
     */
    @TableField(value = "JUDGMENT")
    private String judgment;

    /**
     * 
     */
    @TableField(value = "BUSINESS_TYPE")
    private String businessType;

    /**
     * 
     */
    @TableField(value = "BZ")
    private String bz;

    /**
     * 
     */
    @TableField(value = "CRE_DATE")
    private LocalDate creDate;

    /**
     * 
     */
    @TableField(value = "EFFECTTIVE_START")
    private LocalDate effecttiveStart;

    /**
     * 
     */
    @TableField(value = "EFFECTTIVE_END")
    private LocalDate effecttiveEnd;

    /**
     * 
     */
    @TableField(value = "TAXLICENSE")
    private String taxlicense;

    /**
     * 
     */
    @TableField(value = "IS_REMOVE")
    private Long isRemove;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HyCertInfoSelf other = (HyCertInfoSelf) that;
        return (this.getCode() == null ? other.getCode() == null : this.getCode().equals(other.getCode()))
            && (this.getCertType() == null ? other.getCertType() == null : this.getCertType().equals(other.getCertType()))
            && (this.getFzjg() == null ? other.getFzjg() == null : this.getFzjg().equals(other.getFzjg()))
            && (this.getCertNumber() == null ? other.getCertNumber() == null : this.getCertNumber().equals(other.getCertNumber()))
            && (this.getCname() == null ? other.getCname() == null : this.getCname().equals(other.getCname()))
            && (this.getJudgment() == null ? other.getJudgment() == null : this.getJudgment().equals(other.getJudgment()))
            && (this.getBusinessType() == null ? other.getBusinessType() == null : this.getBusinessType().equals(other.getBusinessType()))
            && (this.getBz() == null ? other.getBz() == null : this.getBz().equals(other.getBz()))
            && (this.getCreDate() == null ? other.getCreDate() == null : this.getCreDate().equals(other.getCreDate()))
            && (this.getEffecttiveStart() == null ? other.getEffecttiveStart() == null : this.getEffecttiveStart().equals(other.getEffecttiveStart()))
            && (this.getEffecttiveEnd() == null ? other.getEffecttiveEnd() == null : this.getEffecttiveEnd().equals(other.getEffecttiveEnd()))
            && (this.getTaxlicense() == null ? other.getTaxlicense() == null : this.getTaxlicense().equals(other.getTaxlicense()))
            && (this.getIsRemove() == null ? other.getIsRemove() == null : this.getIsRemove().equals(other.getIsRemove()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getCode() == null) ? 0 : getCode().hashCode());
        result = prime * result + ((getCertType() == null) ? 0 : getCertType().hashCode());
        result = prime * result + ((getFzjg() == null) ? 0 : getFzjg().hashCode());
        result = prime * result + ((getCertNumber() == null) ? 0 : getCertNumber().hashCode());
        result = prime * result + ((getCname() == null) ? 0 : getCname().hashCode());
        result = prime * result + ((getJudgment() == null) ? 0 : getJudgment().hashCode());
        result = prime * result + ((getBusinessType() == null) ? 0 : getBusinessType().hashCode());
        result = prime * result + ((getBz() == null) ? 0 : getBz().hashCode());
        result = prime * result + ((getCreDate() == null) ? 0 : getCreDate().hashCode());
        result = prime * result + ((getEffecttiveStart() == null) ? 0 : getEffecttiveStart().hashCode());
        result = prime * result + ((getEffecttiveEnd() == null) ? 0 : getEffecttiveEnd().hashCode());
        result = prime * result + ((getTaxlicense() == null) ? 0 : getTaxlicense().hashCode());
        result = prime * result + ((getIsRemove() == null) ? 0 : getIsRemove().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", code=").append(code);
        sb.append(", certType=").append(certType);
        sb.append(", fzjg=").append(fzjg);
        sb.append(", certNumber=").append(certNumber);
        sb.append(", cname=").append(cname);
        sb.append(", judgment=").append(judgment);
        sb.append(", businessType=").append(businessType);
        sb.append(", bz=").append(bz);
        sb.append(", creDate=").append(creDate);
        sb.append(", effecttiveStart=").append(effecttiveStart);
        sb.append(", effecttiveEnd=").append(effecttiveEnd);
        sb.append(", taxlicense=").append(taxlicense);
        sb.append(", isRemove=").append(isRemove);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}